CBFS-COMPRESSION-TOOL(8)

NAME
cbfs-compression-tool - Benchmark compression tool (coreboot tools)

SYNOPSIS

cbfs-compression-tool benchmark
cbfs-compression-tool compress <infile> <outfile> <algo>
cbfs-compression-tool rawcompress <infile> <outfile> <algo>

DESCRIPTION
Benchmark compression algorithms or compress input file into output with a given algorithm

cbfs-compression-tool benchmark
    runs benchmarks for all implemented algorithms

cbfs-compression-tool compress inFile outFile algo
    compresses inFile with algo and stores in outFile

    compress file format:
    4 bytes little endian: algorithm ID (as used in CBFS)
    4 bytes little endian: uncompressed size
    ...: compressed data stream

cbfs-compression-tool rawcompress inFile outFile algo
    compresses inFile with algo and stores in outFile without header

    compress file format:
    ...: compressed data stream

AUTHORS

coresystems GmbH.
Man page written by Ahmad Khalifa.